Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.core.swt.renderer
Class DateTimeControlSWTRendererService

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.core.swt.renderer.DateTimeControlSWTRendererService

All Implemented Interfaces:
  EMFFormsDIRendererService<VControl>

    public class DateTimeControlSWTRendererService

extends Object
implements EMFFormsDIRendererService<VControl>

DateTimeControlSWTRendererService which provides the `DateTimeControlSWTRenderer`.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emfforms.spi.swt.core.di.EMFFormsDIRendererService
`NOT_APPLICABLE`

Constructor Summary
`DateTimeControlSWTRendererService()`

Method Summary
`Class<? extends AbstractSWTRenderer<VControl>>` | `getRendererClass()` Returns the `Class` for the renderer of this service.
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the renderer defined by `EMFFormsDIRendererService.getRendererClass()`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTimeControlSWTRendererService

    public DateTimeControlSWTRendererService()

Method Detail

### isApplicable

    public double isApplicable(VElement vElement,
                               ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the renderer defined by `EMFFormsDIRendererService.getRendererClass()`.

  Specified by:
    `isApplicable` in interface `EMFFormsDIRendererService<VControl>`
  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use for the renderer
  Returns:
    `EMFFormsDIRendererService.NOT_APPLICABLE` if the renderer doesn't fit, a positive value otherwise
  See Also:
    `EMFFormsDIRendererService.isApplicable(VElement,ViewModelContext)`

### getRendererClass

    public Class<? extends AbstractSWTRenderer<VControl>> getRendererClass()

  Returns the `Class` for the renderer of this service.

  Specified by:
    `getRendererClass` in interface `EMFFormsDIRendererService<VControl>`
  Returns:
    the `Class`
  See Also:
    `EMFFormsDIRendererService.getRendererClass()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.